Loading...
Searching...
No Matches
qualifiedmassspectrum.h File Reference
`#include <memory>`
`#include "../exportinmportconfig.h"`
`#include "../types.h"`
`#include "massspectrum.h"`
`#include "massspectrumid.h"`

Go to the source code of this file.

## Classes

struct | pappso::PrecursorIonData
class | pappso::QualifiedMassSpectrum
| Class representing a fully specified mass spectrum. More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< QualifiedMassSpectrum > | pappso::QualifiedMassSpectrumSPtr
typedef std::shared_ptr< const QualifiedMassSpectrum > | pappso::QualifiedMassSpectrumCstSPtr

## Enumerations

enum class

pappso::QualifiedMassSpectrumParameter {
pappso::IonMobOneOverK0 , pappso::IonMobOneOverK0Begin , pappso::IonMobOneOverK0End , pappso::TimsIonMobScanIndex ,
pappso::TimsFrameIonMobScanIndexBegin , pappso::TimsFrameIonMobScanIndexEnd , pappso::IsolationMz , pappso::IsolationMzWidth ,
pappso::CollisionEnergy , pappso::BrukerPrecursorIndex , pappso::TimsFrameScansCount , pappso::TimsFrameMzIndexBegin ,
pappso::TimsFrameMzIndexEnd , pappso::ScanNumber , pappso::last
}